Bug 59114 - Dialog box window sizes
Summary: Dialog box window sizes
Status: RESOLVED NOTOURBUG
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 55600 (view as bug list)
Depends on:
Blocks:
 
Reported: 2013-01-08 00:22 UTC by ljelly
Modified: 2013-05-20 11:39 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ljelly 2013-01-08 00:22:41 UTC
Dialog box window sizes (mainly open dialog box and save dialog box)
Gtk window placement is not remembering size when it is an open or save dialog window on a normal monitor for a computer running ubuntu. 
Problem:
1. Open the open dialog on libreoffice. 
2. Window overlaps off screen. Does not fit on screen. 
3. Click the maximise button and the window adjusts as a maximised window that fits on the screen. 
4. Close window. 
5. Open window again. 
6. Same problem overlaps on screen does not remember that it was in a maximised state when I closed it from last time. 
7. Have to click maximise again!

What it needs to do:
1. The 2nd window should remember where it was in a maximised state (not overlap when i open it again) as I had left it when I had closed the 1st window. 
2. Window open and save dialog s should remember there state no matter how they are adjusted. 

I have filed a gtk bug. 
My response so far is that it is a Ubuntu problem. 

What I think is happening:
The open and save dialog window knows that it needs to be at a resolution as it was before... And that is what it is directly doing. But, What the window needs to do though is to be told when it is opened to go to that size and resolution but to also go back into maximise mode as I had left it before.

Links:
https://bugs.launchpad.net/ubuntu/+s...iz/+bug/760645 launchpad bug:
Bug filed with gtk developer: https://bugzilla.gnome.org/show_bug.cgi?id=685347
Screenshots in both links of what is going wrong. 

I have had this problem with many versions of ubuntu since 10.04.. Earlier. It would be great if it could be fixed... still happens in quantal 12.10.

It is quite annoying when the dialog doesn't remember its position or fits on the screen??

occurs from libreoffice 3.5 and onwards......
Comment 1 Joel Madero 2013-01-11 19:54:37 UTC
Changing version to 3.5 as Version reflects the earliest version that we see the problem and reporter has said 3.5 onwards

Also changing priority as CRITICAL is overstating the issue. 

@Reporter - Critical is intended for bugs that result in crashes, data loss, etc...
Comment 2 Julien Nabet 2013-01-12 06:59:53 UTC
Michael: on pc Debian x86-64 with master sources updated today + Gnome/unity, I can't even change the size of Open dialog window. Any idea about this tracker?
I don't know if it depends on the env only, LO only or a mix of both
Comment 3 ljelly 2013-02-22 00:23:56 UTC
I know that when you set CCSM to maximise windows specifically for the open dialog box window in libreoffice, you cannot resize the window because it has manually been set to maximise everytime it is opened.
to solve that problem of not resizing the window would be to untick or disable maximise windows in CompizConfigSettings Manager, to be able to resize windows again.
Comment 4 ljelly 2013-02-22 00:24:39 UTC
Bug has partially been resolved in LO 4.0.0.3.
Version 4.0.0.3 (Build ID: 7545bee9c2a0782548772a21bc84a9dcc583b89)
Ubuntu 13.04 Raring 64 Bit.

Open Dialogue Window does not overlap any more when checkbox is checked in CompizConfigSettings manager for maximised windows under the Window Rules Option.

The WIndow is fully maximised with Unity Integration in LibreOffice, and it remembers its maximised state in the application.

The problem is that this only occurs when it is checked using CompizConfigSettings Manager, can this now be constructed as being the default process for Open and Save Dialogue windows that are maximised in Ubuntu?
Without having to check the maximised windows option in CompizConfigSettings Manager, so that they may have full unity integration on the display monitor.
I would also like to escalate this query to other programs within Ubuntu, as it has the same maximise issue for open and save dialogue windows in programs such as Rhythmbox, and Evince Document Viewer.
It is a common bug on Ubuntu Systems with Unity.
Comment 5 Michael Meeks 2013-02-22 10:33:26 UTC
> I would also like to escalate this query to other programs within Ubuntu,
> as it has the same maximise issue for open and save dialogue windows
> in programs such as Rhythmbox, and Evince Document Viewer.
> It is a common bug on Ubuntu Systems with Unity.

If this affects other apps - and indeed we really use a pretty bog-standard / plain-and-simple Gtk+ file picker with only some LibreOffice API wrappers around it - then this is clearly a Unity bug and not a LibreOffice bug.

So in the absence of any better data => NOTOURBUG.

Thanks !
Comment 6 bfoman (inactive) 2013-04-30 12:10:41 UTC
*** Bug 55600 has been marked as a duplicate of this bug. ***
Comment 7 ljelly 2013-05-20 11:39:25 UTC
I can hopefully find someone that can resolve this bug.

ljelly.